## libcarp-object-perl 1.02

=== debian/changelog ===
libcarp-object-perl (1.02-2) unstable; urgency=medium

  * source-only upload for new package

 -- Damyan Ivanov <dmn@debian.org>  Sun, 06 Oct 2024 16:49:06 +0000

libcarp-object-perl (1.02-1) unstable; urgency=low

  * Initial release. Closes: #1082942 (ITP)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 28 Sep 2024 18:51:24 +0000
