=== debian/control ===
Source: libcarp-object-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Damyan Ivanov <dmn@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libmodule-build-perl,
               perl
Build-Depends-Indep: libclone-perl <!nocheck>,
                     libdevel-stacktrace-perl <!nocheck>,
                     libtest-simple-perl <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libcarp-object-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libcarp-object-perl.git
Homepage: https://metacpan.org/release/Carp-Object
Rules-Requires-Root: no

Package: libcarp-object-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libclone-perl,
         libdevel-stacktrace-perl
Description: object-oriented replacement for Carp or Carp::Clan Perl modules
 Carp::Object is an object-oriented alternative to Carp/croak or
 Carp::Clan/croak, for reporting errors in modules from the perspective of the
 caller instead of reporting the internal implementation line where the error
 occurs.
 .
 Carp or Carp::Clan were designed long ago, at a time when Perl had no support
 yet for object-oriented programming; therefore they only have a functional
 API that is not very well suited for extensions. The present module attempts
 to mimic the same behaviour, but with an object-oriented implementation that
 offers more tuning options, and also supports errors raised as Exception
 objects.
 .
 Unlike Carp or Carp::Clan, where the presentation of stack frames is
 hard-coded, here it is delegated to Devel::StackTrace. This means that
 clients can also take advantage of options in Devel::StackTrace to tune the
 output -- or even replace it by another class.
