=== debian/watch ===
version=4
https://metacpan.org/release/Carp-Object   .*/Carp-Object-v?@ANY_VERSION@@ARCHIVE_EXT@$
